Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.mock
Class MockUpnpService

    java.lang.Object
      org.teleal.cling.mock.MockUpnpService

All Implemented Interfaces:
  UpnpService

    public class MockUpnpService

extends Object
implements UpnpService

Nested Class Summary
`static class` | `MockUpnpService.MockProtocolFactory`

Field Summary
`protected UpnpServiceConfiguration` | `configuration`
`protected ControlPoint` | `controlPoint`
`protected NetworkAddressFactory` | `networkAddressFactory`
`protected ProtocolFactory` | `protocolFactory`
`protected Registry` | `registry`
`protected Router` | `router`

Constructor Summary
`MockUpnpService()`
`MockUpnpService(boolean sendsAlive, boolean maintainsRegistry)`
`MockUpnpService(boolean sendsAlive, boolean maintainsRegistry, boolean multiThreaded)`

Method Summary
`protected ProtocolFactory` | `createProtocolFactory(UpnpService service, boolean sendsAlive)`
`List<byte[]>` | `getBroadcastedBytes()`
`UpnpServiceConfiguration` | `getConfiguration()`
`ControlPoint` | `getControlPoint()`
`List<IncomingDatagramMessage>` | `getIncomingDatagramMessages()`
`List<OutgoingDatagramMessage>` | `getOutgoingDatagramMessages()`
`ProtocolFactory` | `getProtocolFactory()`
`List<UpnpStream>` | `getReceivedUpnpStreams()`
`Registry` | `getRegistry()`
`Router` | `getRouter()`
`List<StreamRequestMessage>` | `getSentStreamRequestMessages()`
`StreamResponseMessage` | `getStreamResponseMessage(StreamRequestMessage request)`
`StreamResponseMessage[]` | `getStreamResponseMessages()`
`void` | `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configuration

    protected final UpnpServiceConfiguration configuration

### controlPoint

    protected final ControlPoint controlPoint

### protocolFactory

    protected final ProtocolFactory protocolFactory

### registry

    protected final Registry registry

### router

    protected final Router router

### networkAddressFactory

    protected final NetworkAddressFactory networkAddressFactory

Constructor Detail

### MockUpnpService

    public MockUpnpService()

### MockUpnpService

    public MockUpnpService(boolean sendsAlive,
                           boolean maintainsRegistry)

### MockUpnpService

    public MockUpnpService(boolean sendsAlive,
                           boolean maintainsRegistry,
                           boolean multiThreaded)

Method Detail

### createProtocolFactory

    protected ProtocolFactory createProtocolFactory(UpnpService service,
                                                    boolean sendsAlive)

### getConfiguration

    public UpnpServiceConfiguration getConfiguration()

  Specified by:
    `getConfiguration` in interface `UpnpService`

### getControlPoint

    public ControlPoint getControlPoint()

  Specified by:
    `getControlPoint` in interface `UpnpService`

### getProtocolFactory

    public ProtocolFactory getProtocolFactory()

  Specified by:
    `getProtocolFactory` in interface `UpnpService`

### getRegistry

    public Registry getRegistry()

  Specified by:
    `getRegistry` in interface `UpnpService`

### getRouter

    public Router getRouter()

  Specified by:
    `getRouter` in interface `UpnpService`

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `UpnpService`

### getIncomingDatagramMessages

    public List<IncomingDatagramMessage> getIncomingDatagramMessages()

### getOutgoingDatagramMessages

    public List<OutgoingDatagramMessage> getOutgoingDatagramMessages()

### getReceivedUpnpStreams

    public List<UpnpStream> getReceivedUpnpStreams()

### getSentStreamRequestMessages

    public List<StreamRequestMessage> getSentStreamRequestMessages()

### getBroadcastedBytes

    public List<byte[]> getBroadcastedBytes()

### getStreamResponseMessages

    public StreamResponseMessage[] getStreamResponseMessages()

### getStreamResponseMessage

    public StreamResponseMessage getStreamResponseMessage(StreamRequestMessage request)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.